/* !! USAR DURANTE CONVIVENCIA ENTRE ESTILOS BASE. ELIMINAR CUANDO EL REDISEÑO ESTÉ COMPLETADO AL 100% Y APLICAR EN "/css/bplay-v25/base/styles-v25.css" */

.aside {
    font-family: 'Inter';
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}
.aside--right {
    z-index: 102;
}

/* FIN DE ADVERTENCIA */
/* ------------------ */

.aside {
    background: transparent;
    height: max-content;
    z-index: 102;
    font-size: 14px;
    line-height: 24px;
    box-shadow: 8px 4px 8px 0px rgba(0, 0, 0, 0.40);
    transition: all 0.3s;
}
@media screen and (max-width: 1279px) {
    .aside {
        height: 100%;
    }
    .aside[data-loggedin="true"] {
        transform: translate(0, 24px);
    }
}

.aside--left {
    grid-column: 1 / 6;
    grid-row: 1 / -1;
    max-width: 324px;
    max-height: fit-content;
    border-radius: 0 0 4px 0;
}
.aside--left::-webkit-scrollbar {
    width: 0 !important;
}
@media screen and (max-width: 767px) {
    .aside--left {
        grid-column: 1 / 5;
    }
}
.aside--left--closed {
    transform: translate(-104%, 0)
}
@media screen and (max-width: 1279px) {
    .aside--left--closed[data-loggedin="true"] {
        transform: translate(-104%, 24px);
    }
}

.aside--right {
    /* grid-column: 1 / 6; */
    grid-row: 1 / -1;
}
@media screen and (max-width: 767px) {
    .aside--right {
        width: 100%;
    }
}
.aside--right--closed {
    transform: translate(104%, 0)
}
@media screen and (max-width: 1279px) {
    .aside--right--closed[data-loggedin="true"] {
        transform: translate(104%, 24px);
    }
}

/* !! USAR DURANTE CONVIVENCIA ENTRE ESTILOS BASE. ELIMINAR CUANDO EL 100% DE LA IMPLANTACIÓN DEL NUEVO REDISEÑO ESTÉ COMPLETADA */
.aside {
    padding: 0;
    position: static;
    width: 100%;
    overflow: auto;
}
.aside nav a {
    color: var(--Bases-Light-Gray, #ECECEC);
}
.aside--left {
    padding: 0;
    overflow-x: hidden;
    overflow-y: auto;
}
.aside section {
    margin-bottom: 0;
    max-width: none;
    margin-left: 0;
    margin-right: 0;
    padding: 0;
}
.aside ul {
    margin-bottom: 0;
}
/* FIN DE ADVERTENCIA */
/* ------------------ */

/* ASIDE LEFT */

.aside--left .aside__header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: var(--Bases-Black, #1A1A1A);
    height: 48px;
    padding: 0 var(--Size-Small, 12px) 0 var(--Size-Extrabig, 20px);
}
.aside--left .aside__header #aside-logo {
    width: 80px;
}
.aside--left .aside__header .header__closer {
    width: var(--Size-Extrabig, 20px);
    height: var(--Size-Extrabig, 20px);
}

.aside--left .aside__linklist .linklist.linklist--sections {
    background: var(--Bases-Darkest, #252525);
}
@media screen and (max-width: 767px) {
    .aside--left .aside__linklist .linklist.linklist--sections {
        display: none;
    }
}
@media screen and (min-width: 1280px) {
    .aside--left .aside__linklist .linklist.linklist--sections {
        display: none;
    }
}
.aside--left .aside__linklist .linklist.linklist--users {
    background: var(--Bases-Darker-Gray, #2D2D2D);
}
@media screen and (max-width: 767px) {
    .aside--left .aside__linklist .linklist.linklist--users li:first-child {
        display: none;
    }
}
@media screen and (min-width: 1280px) {
    .aside--left .aside__linklist .linklist.linklist--users {
        background: var(--Bases-Darkest, #252525);
    }
    .aside--left .aside__linklist .linklist.linklist--users li:first-child {
        display: none;
    }
}
.aside--left .aside__linklist .linklist.linklist--legal {
    background: var(--Bases-Gray, #454545);
}
.aside--left .aside__linklist .linklist.linklist--support {
    background: var(--Bases-Medium-Gray, #C7C7C7);
}
.aside--left .aside__linklist .linklist.linklist--support p {
    color: var(--Bases-Darkest, #252525);
}

.aside--left .aside__linklist .linklist {
    padding: 0 var(--Size-Small, 12px) 0 var(--Size-Extrabig, 20px);
}
.aside--left .aside__linklist .linklist:last-child {
    padding: 0 var(--Size-Small, 12px) var(--Size-Extrabig, 20px) var(--Size-Extrabig, 20px);
    border-radius: 0 0 var(--Size-Mini, 4px) 0;
}

/* @media screen and (max-width: 1279px) {
    .aside--left .aside__linklist .linklist:last-child {
        padding: 0 var(--Size-Small, 12px) 75% var(--Size-Extrabig, 20px);
    }
    .aside--left[data-loggedin="true"] .aside__linklist .linklist:last-child {
        padding: 0 var(--Size-Small, 12px) 50% var(--Size-Extrabig, 20px);
    }
} */
.aside--left .aside__linklist .linklist__link {
    height: 40px;
}

/* ASIDE RIGHT */
.aside--right {
    right: 0 !important;
}
/* */